IANA assigned numbers
Infrastructure

## Enumerations

enum | lwip_iana_hwtype { LWIP_IANA_HWTYPE_ETHERNET = 1 }

enum

lwip_iana_port_number {
LWIP_IANA_PORT_SMTP = 25, LWIP_IANA_PORT_DHCP_SERVER = 67, LWIP_IANA_PORT_DHCP_CLIENT = 68, LWIP_IANA_PORT_TFTP = 69,
LWIP_IANA_PORT_HTTP = 80, LWIP_IANA_PORT_SNTP = 123, LWIP_IANA_PORT_NETBIOS = 137, LWIP_IANA_PORT_SNMP = 161,
LWIP_IANA_PORT_SNMP_TRAP = 162, LWIP_IANA_PORT_HTTPS = 443, LWIP_IANA_PORT_SMTPS = 465, LWIP_IANA_PORT_MQTT = 1883,
LWIP_IANA_PORT_MDNS = 5353, LWIP_IANA_PORT_SECURE_MQTT = 8883
}

## Detailed Description

## Enumeration Type Documentation

## lwip_iana_hwtype

enum lwip_iana_hwtype

Hardware types

Enumerator
LWIP_IANA_HWTYPE_ETHERNET | Ethernet

## lwip_iana_port_number

enum lwip_iana_port_number

Port numbers https://www.iana.org/assignments/service-names-port-numbers/service-names-port-numbers.txt

Enumerator
LWIP_IANA_PORT_SMTP | SMTP
LWIP_IANA_PORT_DHCP_SERVER | DHCP server
LWIP_IANA_PORT_DHCP_CLIENT | DHCP client
LWIP_IANA_PORT_TFTP | TFTP
LWIP_IANA_PORT_HTTP | HTTP
LWIP_IANA_PORT_SNTP | SNTP
LWIP_IANA_PORT_NETBIOS | NETBIOS
LWIP_IANA_PORT_SNMP | SNMP
LWIP_IANA_PORT_SNMP_TRAP | SNMP traps
LWIP_IANA_PORT_HTTPS | HTTPS
LWIP_IANA_PORT_SMTPS | SMTPS
LWIP_IANA_PORT_MQTT | MQTT
LWIP_IANA_PORT_MDNS | MDNS
LWIP_IANA_PORT_SECURE_MQTT | Secure MQTT